| Home | Libraries | People | FAQ | More

## Struct template store_parent_pointer

boost::heap::store_parent_pointer — Store parent pointer in heap node.

## Synopsis

    // In header: <boost/heap/policies.hpp>

    template<bool T>
    struct store_parent_pointer {
    };

## Description

Maintaining a parent pointer adds some maintenance and size overhead, but iterating a heap is more efficient.